> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a contract annex

> Retrieves a specific annex from a contract.



## OpenAPI

````yaml GET /contract/v1/contracts/{contractId}/annexes/{annexId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contracts/{contractId}/annexes/{annexId}:
    get:
      tags:
        - Contract Annexes
      summary: Get a contract annex
      description: Retrieves a specific annex from a contract.
      operationId: GetContractAnnex
      parameters:
        - name: contractId
          in: path
          required: true
          description: The ID of the contract
          schema:
            type: string
            format: uuid
        - name: annexId
          in: path
          required: true
          description: The ID of the annex
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Contract annex retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: The unique identifier of the annex
                      startAt:
                        type: string
                        format: date
                        description: Start date of the annex
                      endAt:
                        type: string
                        format: date
                        description: End date of the annex
                      expiredAt:
                        type: string
                        format: date
                        description: Expiration date of the annex
                      holidays:
                        type: integer
                        description: Number of holidays
                      comment:
                        type: string
                        description: Comments about the annex
                      code:
                        type: string
                        description: Code of the annex
                      socialSecurityNumber:
                        type: string
                        description: The social security number
                      cbo:
                        type: string
                        description: Brazilian occupation code (CBO)
                      remoteWork:
                        type: boolean
                        description: Whether remote work is allowed
                      seniorityDate:
                        type: string
                        format: date
                        description: Seniority date
                      jobPositionDescription:
                        type: string
                        description: The job position description
                      weeklyHours:
                        type: number
                        format: float
                        description: Weekly working hours
                      maxLegalWeeklyHours:
                        type: number
                        format: float
                        description: Max legal weekly working hours
                      maxLegalAnnualHours:
                        type: number
                        format: float
                        description: Max legal annual working hours
                      percentageWorkDay:
                        type: number
                        format: float
                        description: Percentage of workday
                      fte:
                        type: number
                        format: float
                        description: Full-time equivalent value
                      details:
                        type: string
                        description: Additional details about the annex
                      trialEndDate:
                        type: string
                        format: date
                        description: End date of the trial period
                      trialPeriod:
                        type: object
                        properties:
                          trialPeriodType:
                            type: string
                            example: months
                          quantity:
                            type: number
                            example: '6'
                      workDays:
                        type: array
                        items:
                          type: object
                          properties:
                            day:
                              type: string
                              description: Day of the week
                              enum:
                                - monday
                                - tuesday
                                - wednesday
                                - thursday
                                - friday
                                - saturday
                                - sunday
                            hour:
                              type: number
                              format: float
                              description: Total hour to work in the day
                          required:
                            - day
                            - hour
                        description: Working days configuration
                      jobCharge:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                      workdayType:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                          editable:
                            type: boolean
                      contractType:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                      degree:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                          editable:
                            type: boolean
                      agreement:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                      jobLevel:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````